Websockets
Watch Filesystem
Watch for filesystem changes via WebSocket.
WSS
/
v1
/
sprites
/
{name}
/
fs
/
watch
Messages
{
"type": "<string>",
"paths": {
"item": "<string>"
},
"recursive": true,
"workingDir": "<string>",
"path": "<string>",
"event": "<string>",
"timestamp": "<string>",
"size": 123,
"isDir": true,
"message": "<string>"
}{
"type": "<string>",
"paths": {
"item": "<string>"
},
"recursive": true,
"workingDir": "<string>",
"path": "<string>",
"event": "<string>",
"timestamp": "<string>",
"size": 123,
"isDir": true,
"message": "<string>"
}name
type:string
required
Sprite name within the organization.
bearerAuth
type:http
Sprites API token in the form <org>/<id>/<secret>, sent as Authorization: Bearer <token> on the upgrade request.
WatchMessage
type:object
WatchMessage
type:object
⌘I
Messages
{
"type": "<string>",
"paths": {
"item": "<string>"
},
"recursive": true,
"workingDir": "<string>",
"path": "<string>",
"event": "<string>",
"timestamp": "<string>",
"size": 123,
"isDir": true,
"message": "<string>"
}{
"type": "<string>",
"paths": {
"item": "<string>"
},
"recursive": true,
"workingDir": "<string>",
"path": "<string>",
"event": "<string>",
"timestamp": "<string>",
"size": 123,
"isDir": true,
"message": "<string>"
}